This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 92253 - openoffice does not work with nptl kernel/glibc - FUTEX_WAIT
openoffice does not work with nptl kernel/glibc - FUTEX_WAIT
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-04 03:31 EDT by Toni Willberg
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 06:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2003-06-04 03:31:22 EDT
kernel-2.4.20-20.1.2007.nptl
openoffice-1.0.2-4
glibc-2.3.2-45

OpenOffice hangs on startup, strace shows:
futex(0x5c8f9c, FUTEX_WAIT, 1785434, NULL <unfinished ...>


How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/oowriter
2. strace -p pidofsoffice
Comment 1 Jakub Jelinek 2003-06-04 12:32:06 EDT
Does it go away if you downgrade to say glibc-2.3.2-41?
Comment 2 Toni Willberg 2003-06-10 06:56:36 EDT
Yep, it worked fine with -41, and also seems to work fine with latest version -48.

 glibc-2.3.2-48.i686.rpm 
 glibc-common-2.3.2-48.i386.rpm

Let's close this then.

Note You need to log in before you can comment on or make changes to this bug.